package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.DiyCity;

/**
 * 自定义地区Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface DiyCityMapper 
{
    /**
     * 查询自定义地区
     * 
     * @param id 自定义地区主键
     * @return 自定义地区
     */
    public DiyCity selectDiyCityById(Integer id);

    /**
     * 查询自定义地区列表
     * 
     * @param diyCity 自定义地区
     * @return 自定义地区集合
     */
    public List<DiyCity> selectDiyCityList(DiyCity diyCity);

    /**
     * 新增自定义地区
     * 
     * @param diyCity 自定义地区
     * @return 结果
     */
    public int insertDiyCity(DiyCity diyCity);

    /**
     * 修改自定义地区
     * 
     * @param diyCity 自定义地区
     * @return 结果
     */
    public int updateDiyCity(DiyCity diyCity);

    /**
     * 删除自定义地区
     * 
     * @param id 自定义地区主键
     * @return 结果
     */
    public int deleteDiyCityById(Integer id);

    /**
     * 批量删除自定义地区
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDiyCityByIds(Integer[] ids);
}
